%define Name crossfire
%define extra client
%define version 0.95.2
%define release 5
%define prefix	/usr

Name: %{Name}-%{extra}
Version: %{version}
Release: %{release}
Summary: Client for connecting to crossfire servers.
Group: X11/Games
Copyright: GPL
Distribution: Homegrown stuff for RedHat 5.x
Vendor: Mark Wedel, David Sundqvist, Raphael Quinet & Eric Anderson
URL: http://crossfire.real-time.com
#Packager: Kjetil Wiekhorst Jrgensen, <jorgens+rpm@pvv.org>
Source0 ftp://ftp.pyramid.com/pub/crossfire/%{extra}-%{version}.tgz
Source1: ftp://ftp.pyramid.com/pub/crossfire/%{extra}-%{version}-au-sounds.tgz
Source2: ftp://ftp.pyramid.com/pub/crossfire/%{extra}-%{version}-raw-sounds.tgz
Patch: %{extra}-0.95.2-sound.patch
Patch1: %{extra}-0.95.2-install.patch
BuildRoot: /tmp/%{Name}-%{extra}-%{version}-root

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

Client for playing the new client/server based version of Crossfire.
This package allows you to connect to crossfire servers around the world.
You don't need to install the crossfire program in order to use this
package.

%package sounds
Summary: Sound effects for the crossfire game
Group: X11/Games

%description sounds
Sound effects for people who want sounds with their game.

%package gtk
Summary: GTK client for %{Name}
Group: X11/Games

%description gtk
GTK version of the crossfire client

%prep
%setup -a 1 -a 2 -n %{extra}-%{version}
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix='${DESTDIR}'/usr --exec-prefix='${prefix}/games' \
  --bindir='${prefix}/games' --mandir='${prefix}/man'
make

%install
test -f $RPM_BUILD_ROOT && rm -rf $RPM_BUILD_ROOT
mkdirhier $RPM_BUILD_ROOT/usr/games
mkdirhier $RPM_BUILD_ROOT/usr/man/man1
mkdirhier $RPM_BUILD_ROOT/usr/share
make install DESTDIR=$RPM_BUILD_ROOT
cp -r sounds $RPM_BUILD_ROOT/usr/share
install -c client.man $RPM_BUILD_ROOT/usr/man/man1/cfclient.1
install -c client.man $RPM_BUILD_ROOT%{prefix}/man/man1/gcfclient.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES COPYING Protocol
%attr(755,root,root) %{prefix}/games/cfclient
%doc %{prefix}/man/man1/cfclient.1

%files gtk
%defattr(644,root,root,755)
%doc README CHANGES COPYING Protocol
%attr(755,root,root) %{prefix}/games/gcfclient
%doc %{prefix}/man/man1/gcfclient.1

%files sounds
%defattr(644,root,root,755)
%attr(755,root,root) %{prefix}/games/cfsndserv
%dir %{prefix}/share/sounds
%{prefix}/share/sounds/*

%changelog

* Tue Mar 16 1999 Toshio Kuratomi <badger@prtr-13.ucsc.edu> [0.95.2-2]
- A few changes to conform to FHS 2.0
- Edit the sounds patch to place things in the /usr/share/sounds directory
  instead of /usr/share/sounds/sounds
- Rewrite certain parts of the script to rely more on the make install target
  rather than hacking it ourselves.
- We don't have to compile the program twice -- make all will create both the
  gtk and the Athena binaries.

* Sat Jan 30 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.95.2-1]

- upgraded to version 0.95.2
- fixed minor bug in Makefile

* Sat Jan 23 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.95.1-2]

- some bug fixes to the 0.95.1 release

* Tue Dec  8 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.95.1-1]

- upgraded to 0.95.1
- install sounds in /usr/share/sounds
- build both vanilla X client and GTK+ client

* Wed Dec  2 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.94.4-1]

- upgraded to 0.94.4

* Fri Sep  4 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [0.94.3-1]

- upgraded to version 0.94.3

* Tue Jun 02 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- Initial release.
